#include <iostream>

using namespace std;

int main()
{

    string S,T;
    int M,N,a=0,b=0;
    cin>>T>>S;
    N= T.length();
    M= S.length();
    for(int k=0;k<=N;k++)
    {

             if(T[k]==S[a])
        {
            a++;
            if(a==M)
            {
                T[k]='*';
                b ++;
                a=0;


            }
        }






    }
     for(int k=0;k<=N;k++)
    {

             if(T[k]==S[a])
        {
            a++;
            if(a==M)
            {
                T[k]='*';
                b ++;
                a=0;


            }
        }
    }
    cout<<b<<endl;
    cout<<T;

    return 0;
}